# General Translation Platform: ファイルのメタデータを取得
URL: https://generaltranslation.com/ja/docs/platform/openapi/reference/files/file-info.mdx
Docs index: https://generaltranslation.com/llms.txt
Description: 特定のソースファイルおよび翻訳済みファイルの詳細なメタデータを取得します。ファイルのメタデータを取得の API リファレンス。

{/* このファイルは Fumadocs によって生成されています。このファイルを直接編集しないでください。変更する場合は、生成コマンドを再実行してください。 */}

## Endpoint

`POST https://api.gtx.dev/v2/project/files/info`

**Operation ID:** `getFileInfo`

**Tags:** `Files`

**Summary:** Get file metadata

Get detailed metadata for specific source and translated files.

Authentication: required. Send an API key in the `Authorization: Bearer <key>` header when authenticating.

### Parameters

- `gt-api-version` (header, "2025-01-01.v0" | "2025-11-03.v1" | "2026-02-18.v1" | "2026-03-06.v1", optional): API contract version. Defaults to the oldest supported version.
- `gt-project-id` (header, string, optional): Target project ID when no project ID is present in the path. Project API keys default to their bound project. If supplied, the header must match both the path target and the key’s bound project.

### Request body (required)

Body (`application/json`, object):
- `sourceFiles` (object[])
  - `fileId` (string, required)
  - `versionId` (string, required)
  - `branchId` (string, required)
- `translatedFiles` (object[])
  - `fileId` (string, required)
  - `versionId` (string, required)
  - `branchId` (string, required)
  - `locale` (string, required)

### Responses

**200**: File information
Response body (`application/json`, object):
- `sourceFiles` (object[], required)
  - `branchId` (string, required)
  - `fileId` (string, required)
  - `versionId` (string, required)
  - `fileName` (string, required)
  - `fileFormat` ("GTJSON" | "MDX" | "JSON" | "YAML" | "MD" | "TS" | "JS" | "HTML" | "TXT" | "PO" | "POT" | "TWILIO_CONTENT_JSON" | "LOTTIE" | "SVG" | "XCSTRINGS" | "DOT_STRINGS" | "DOT_STRINGSDICT" | "ANDROID_STRINGS", required)
  - `dataFormat` (string | null, required)
  - `createdAt` (string (date-time), required)
  - `updatedAt` (string (date-time), required)
  - `publishedAt` (string | null (date-time), required)
  - `locales` (string[], required)
  - `sourceLocale` (string, required)
- `translatedFiles` (object[], required)
  - `branchId` (string, required)
  - `fileId` (string, required)
  - `versionId` (string, required)
  - `fileFormat` ("GTJSON" | "MDX" | "JSON" | "YAML" | "MD" | "TS" | "JS" | "HTML" | "TXT" | "PO" | "POT" | "TWILIO_CONTENT_JSON" | "LOTTIE" | "SVG" | "XCSTRINGS" | "DOT_STRINGS" | "DOT_STRINGSDICT" | "ANDROID_STRINGS", required)
  - `dataFormat` (string | null, required)
  - `createdAt` (string (date-time), required)
  - `updatedAt` (string (date-time), required)
  - `approvedAt` (string | null (date-time), required)
  - `publishedAt` (string | null (date-time), required)
  - `completedAt` (string | null (date-time), required)
  - `locale` (string, required)

**400**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**401**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**403**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**413**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**429**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**500**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

Complete OpenAPI 3.1 specification: https://generaltranslation.com/openapi.yaml

OpenAPI schema: [openapi.json](https://generaltranslation.com/openapi.json)

## Sitemap

See the full [sitemap](https://generaltranslation.com/sitemap.md) for all pages.
